Create a mandate
curl --request POST \
--url https://api.getsly.ai/v1/v1/ap2/mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"max_per_tx": "<string>",
"max_per_day": "<string>",
"max_per_month": "<string>",
"currency": "<string>",
"allowed_merchant_categories": [
"<string>"
],
"allowed_merchants": [
"<string>"
],
"blocked_merchants": [
"<string>"
]
},
"expires_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
'import requests
url = "https://api.getsly.ai/v1/v1/ap2/mandates"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"max_per_tx": "<string>",
"max_per_day": "<string>",
"max_per_month": "<string>",
"currency": "<string>",
"allowed_merchant_categories": ["<string>"],
"allowed_merchants": ["<string>"],
"blocked_merchants": ["<string>"]
},
"expires_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scope: {
max_per_tx: '<string>',
max_per_day: '<string>',
max_per_month: '<string>',
currency: '<string>',
allowed_merchant_categories: ['<string>'],
allowed_merchants: ['<string>'],
blocked_merchants: ['<string>']
},
expires_at: '2023-11-07T05:31:56Z',
metadata: {}
})
};
fetch('https://api.getsly.ai/v1/v1/ap2/mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate_jwt": "<string>",
"scope": {
"max_per_tx": "<string>",
"max_per_day": "<string>",
"max_per_month": "<string>",
"currency": "<string>",
"allowed_merchant_categories": [
"<string>"
],
"allowed_merchants": [
"<string>"
],
"blocked_merchants": [
"<string>"
]
},
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}AP2
Create a mandate
Issue a signed mandate authorizing an agent to spend within a scope. Returns mandate_jwt — present on every execution.
POST
/
v1
/
ap2
/
mandates
Create a mandate
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Response
Mandate created
Show child attributes
Show child attributes
⌘I